# OptionSelectItem | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface OptionSelectItem

interface OptionSelectItem {
handler : () => boolean;
item ?: string;
itemArgs ?: any[];
keepOpen ?: boolean;
label : string;
onHover ?: () => void;
overrideSound ?: boolean;
skip ?: boolean;
style ?: TextStyle ;
}

- Defined in src/ui/abstact-option-select-ui-handler.ts:21

##### Index

### Properties

handler
item?
itemArgs?
keepOpen?
label
onHover?
overrideSound?
skip?
style?

## Properties

### handler

handler: () => boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:23

### `Optional` item

item?: string

- Defined in src/ui/abstact-option-select-ui-handler.ts:29

### `Optional` itemArgs

itemArgs?: any[]

- Defined in src/ui/abstact-option-select-ui-handler.ts:30

### `Optional` keepOpen

keepOpen?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:26

### label

label: string

- Defined in src/ui/abstact-option-select-ui-handler.ts:22

### `Optional` onHover

onHover?: () => void

- Defined in src/ui/abstact-option-select-ui-handler.ts:24

### `Optional` overrideSound

overrideSound?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:27

### `Optional` skip

skip?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:25

### `Optional` style

style?: TextStyle

- Defined in src/ui/abstact-option-select-ui-handler.ts:28